Egroupware 16.1.005 upgraded from egroupware 1.8.xxxx

classic Classic list List threaded Threaded
11 messages Options
deeztek deeztek
Reply | Threaded
Open this post in threaded view
|

Egroupware 16.1.005 upgraded from egroupware 1.8.xxxx

I attempted an upgrade from egroupware 1.8.xxx to 16.1.005 and as far as I can tell it went okay. . I'm able to login as a user to the system unfortunately, the e-mail app is refusing to connect to the local IMAP server. I've attached a screenshot of what it looks like when a user logs in. As you can see not even the email app icon is showing up and it just sits there. I have manually tested that I can indeed login to the local IMAP server from the command line. I've also verified in the /setup that the email application is installed and it is version 16.1.

The other weird thing is when I login as an administrator and I go under Applications --> Mail --> Site configuration again the email icon is not showing up and I don't have an option to add or edit the configuration. Please see additional screenshot

I would appreciate some help on this




deeztek deeztek
Reply | Threaded
Open this post in threaded view
|

Re: Egroupware 16.1.005 upgraded from egroupware 1.8.xxxx

Bump
deeztek deeztek
Reply | Threaded
Open this post in threaded view
|

Re: Email application error Egroupware 16.1.005 upgraded from egroupware 1.8.xxxx

In reply to this post by deeztek
I attempted an upgrade from egroupware 1.8.xxx to 16.1.005 and as far as I can tell it went okay. .I'm able to login as a user to the system unfortunately, the e-mail app is refusing to connect to the local IMAP server. I've attached a screenshot of what it looks like when a user logs in. As you can see not even the email app icon is showing up and it just sits there. I have manually tested that I can indeed login to the local IMAP server from the command line. I've also verified in the /setup that the email application is installed and it is version 16.1.

The other weird thing is when I login as an administrator and I go under Applications --> Mail --> Site configuration again the email icon is not showing up and I don't have an option to add or edit the configuration. Please see additional screenshot

I would appreciate some help on this
Ralf Becker-5 Ralf Becker-5
Reply | Threaded
Open this post in threaded view
|

Re: Email application error Egroupware 16.1.005 upgraded from egroupware 1.8.xxxx

Hi,

Am 01.03.17 um 18:12 schrieb deeztek:

> I attempted an upgrade from egroupware 1.8.xxx to 16.1.005 and as far as I
> can tell it went okay. .I'm able to login as a user to the system
> unfortunately, the e-mail app is refusing to connect to the local IMAP
> server. I've attached a screenshot of what it looks like when a user logs
> in. As you can see not even the email app icon is showing up and it just
> sits there. I have manually tested that I can indeed login to the local IMAP
> server from the command line. I've also verified in the /setup that the
> email application is installed and it is version 16.1.
>
> The other weird thing is when I login as an administrator and I go under
> Applications --> Mail --> Site configuration again the email icon is not
> showing up and I don't have an option to add or edit the configuration.
> Please see additional screenshot
>
> I would appreciate some help on this
Hard to tell what your problem is.

It is definitly not a general 16.1 problem.

Something in your enviroment, I guess ...

First thing I would look at is, making sure all caches incl. browser are
cleared.

You wrote nothing about how you installed and/or upgraded.
Our recomendations to do a Linux package installation. There are many
ways to screw up an installation with archives, eg. copy new archive
over the existing installation (leaving old files in place).

Ralf

--
Ralf Becker
EGroupware GmbH [www.egroupware.org]
Handelsregister HRB Kaiserslautern 3587
Geschäftsführer Birgit und Ralf Becker
Leibnizstr. 17, 67663 Kaiserslautern, Germany
Telefon +49 631 31657-0



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
eGroupWare-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/egroupware-users

signature.asc (817 bytes) Download Attachment
deeztek deeztek
Reply | Threaded
Open this post in threaded view
|

Re: Email application error Egroupware 16.1.005 upgraded from egroupware 1.8.xxxx



On 3/1/2017 2:55 PM, Ralf Becker-5 [via EGroupware] wrote:

It is definitly not a general 16.1 problem.

Something in your enviroment, I guess ...

First thing I would look at is, making sure all caches incl. browser are
cleared.


They are cleared

You wrote nothing about how you installed and/or upgraded.
Our recomendations to do a Linux package installation. There are many
ways to screw up an installation with archives, eg. copy new archive
over the existing installation (leaving old files in place).

I did use the Linux packages. I installed:

apt-get install egroupware-epl-compat

and then I installed:

apt-get install egroupware-epl

It performed the upgrade with the following messages:

apt-get install egroupware-epl
Reading package lists... Done
Building dependency tree
Reading state information... Done
Suggested packages:
  egroupware-epl-jdots egroupware-epl-phpbrain egroupware-epl-phpfreechat
  egroupware-epl-sambaadmin egroupware-epl-sitemgr egroupware-epl-wiki
The following NEW packages will be installed:
  egroupware-epl
0 upgraded, 1 newly installed, 0 to remove and 1 not upgraded.
Need to get 0 B/87.0 kB of archives.
After this operation, 113 kB of additional disk space will be used.
Selecting previously unselected package egroupware-epl.
(Reading database ... 789010 files and directories currently installed.)
Preparing to unpack .../egroupware-epl_16.1.20170203_all.deb ...
Unpacking egroupware-epl (16.1.20170203) ...
Setting up egroupware-epl (16.1.20170203) ...

PHP Warning:  Cannot modify header information - headers already sent by (output started at /usr/share/egroupware/setup/setup-cli.php:55) in /var/lib/egroupware/header.inc.php on line 120
PHP Warning:  Cannot modify header information - headers already sent by (output started at /usr/share/egroupware/setup/setup-cli.php:55) in /var/lib/egroupware/header.inc.php on line 121
EGroupware\Api\Vfs\Sqlfs\StreamWrapper::mkdir('sqlfs://default/templates',61,9) already exist!
EGroupware\Api\Vfs\Sqlfs\StreamWrapper::mkdir('sqlfs://default/templates/addressbook',61,9) already exist!
EGroupware\Api\Vfs\Sqlfs\StreamWrapper::mkdir('sqlfs://default/templates/calendar',61,9) already exist!
EGroupware\Api\Vfs\Sqlfs\StreamWrapper::mkdir('sqlfs://default/templates/infolog',61,9) already exist!
EGroupware\Api\Vfs\Sqlfs\StreamWrapper::mkdir('sqlfs://default/templates/tracker',61,9) already exist!
EGroupware\Api\Vfs\Sqlfs\StreamWrapper::mkdir('sqlfs://default/templates/timesheet',61,9) already exist!
EGroupware\Api\Vfs\Sqlfs\StreamWrapper::mkdir('sqlfs://default/templates/projectmanager',61,9) already exist!
sh: 1: hash: git: not found
sh: 1: hash: git: not found

EGroupware successful updated

Any other ideas? The problem persists.


If you reply to this email, your message will be added to the discussion below:
http://egroupware.219119.n3.nabble.com/Egroupware-16-1-005-upgraded-from-egroupware-1-8-xxxx-tp4015181p4015187.html
To start a new topic under egroupware-users, email [hidden email]
To unsubscribe from Egroupware 16.1.005 upgraded from egroupware 1.8.xxxx, click here.
NAML

deeztek deeztek
Reply | Threaded
Open this post in threaded view
|

Re: Email application error Egroupware 16.1.005 upgraded from egroupware 1.8.xxxx

In reply to this post by Ralf Becker-5

Something to add to this. After going to Admin  --> Mail --> Site configuration and I click the Save button I get the error below:

A request to the Egroupware server returned with an error: Internal Server Error (500)

Please reload the Egroupware Desktop (F5 / Cmd+r).

If the error persists, contact your administrator for help and ask to check the error-log of the webserver.

URL: <a class="moz-txt-link-freetext" href="https://server.domain.tld/json.php?menuaction=Egroupware\Api\Etemplate::ajax_process_content">https://server.domain.tld/json.php?menuaction=Egroupware\Api\Etemplate::ajax_process_content


Looking in the apache error log I see the following error:

[Wed Mar 01 15:34:28.775800 2017] [:error] [pid 13370] [client 192.168.xxx.xxx:62012] PHP Fatal error:  Unsupported operand types in /usr/share/egroupware/admin/inc/class.admin_config.inc.php on line 82, referer: https://server.domain.tld/index.php?menuaction=admin.uiconfig.index&appname=mail&nonavbar=1

Hopefully this will help to troubleshoot further


Thanks





On 3/1/2017 2:55 PM, Ralf Becker-5 [via EGroupware] wrote:
Hi,

Am 01.03.17 um 18:12 schrieb deeztek:

> I attempted an upgrade from egroupware 1.8.xxx to 16.1.005 and as far as I
> can tell it went okay. .I'm able to login as a user to the system
> unfortunately, the e-mail app is refusing to connect to the local IMAP
> server. I've attached a screenshot of what it looks like when a user logs
> in. As you can see not even the email app icon is showing up and it just
> sits there. I have manually tested that I can indeed login to the local IMAP
> server from the command line. I've also verified in the /setup that the
> email application is installed and it is version 16.1.
>
> The other weird thing is when I login as an administrator and I go under
> Applications --> Mail --> Site configuration again the email icon is not
> showing up and I don't have an option to add or edit the configuration.
> Please see additional screenshot
>
> I would appreciate some help on this
Hard to tell what your problem is.

It is definitly not a general 16.1 problem.

Something in your enviroment, I guess ...

First thing I would look at is, making sure all caches incl. browser are
cleared.

You wrote nothing about how you installed and/or upgraded.
Our recomendations to do a Linux package installation. There are many
ways to screw up an installation with archives, eg. copy new archive
over the existing installation (leaving old files in place).

Ralf

--
Ralf Becker
EGroupware GmbH [www.egroupware.org]
Handelsregister HRB Kaiserslautern 3587
Geschäftsführer Birgit und Ralf Becker
Leibnizstr. 17, 67663 Kaiserslautern, Germany
Telefon +49 631 31657-0



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
eGroupWare-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/egroupware-users

signature.asc (817 bytes) Download Attachment



If you reply to this email, your message will be added to the discussion below:
http://egroupware.219119.n3.nabble.com/Egroupware-16-1-005-upgraded-from-egroupware-1-8-xxxx-tp4015181p4015187.html
To start a new topic under egroupware-users, email [hidden email]
To unsubscribe from Egroupware 16.1.005 upgraded from egroupware 1.8.xxxx, click here.
NAML

Ralf Becker-5 Ralf Becker-5
Reply | Threaded
Open this post in threaded view
|

Re: Email application error Egroupware 16.1.005 upgraded from egroupware 1.8.xxxx

Hi,

Am 01.03.17 um 21:40 schrieb deeztek:

>
> Something to add to this. After going to Admin  --> Mail --> Site
> configuration and I click the Save button I get the error below:
>
> A request to the Egroupware server returned with an error: Internal
> Server Error (500)
>
> Please reload the Egroupware Desktop (F5 / Cmd+r).
>
> If the error persists, contact your administrator for help and ask to
> check the error-log of the webserver.
>
> URL: <a class="moz-txt-link-freetext"
> href="https://server.domain.tld/json.php?menuaction=Egroupware\Api\Etemplate::ajax_process_content">https://server.domain.tld/json.php?menuaction=Egroupware\Api\Etemplate::ajax_process_content
>
>
> Looking in the apache error log I see the following error:
>
> [Wed Mar 01 15:34:28.775800 2017] [:error] [pid 13370] [client
> 192.168.xxx.xxx:62012] PHP Fatal error:  Unsupported operand types in
> /usr/share/egroupware/admin/inc/class.admin_config.inc.php on line 82,
> referer:
> https://server.domain.tld/index.php?menuaction=admin.uiconfig.index&appname=mail&nonavbar=1
>
Are you sure all your egroupware-epl* packages are upgraded to
16.1.20170203, the url of the config looks like 14.1 (admin.uiconfig.index).

I would also make sure no old egroupware packages are installed. They
wont work with 16.1 and might give all sorts of errors.

Ralf

> Hopefully this will help to troubleshoot further
>
>
> Thanks
>
>
>
>
>
> On 3/1/2017 2:55 PM, Ralf Becker-5 [via EGroupware] wrote:
>> Hi,
>>
>> Am 01.03.17 um 18:12 schrieb deeztek:
>>
>> > I attempted an upgrade from egroupware 1.8.xxx to 16.1.005 and as
>> far as I
>> > can tell it went okay. .I'm able to login as a user to the system
>> > unfortunately, the e-mail app is refusing to connect to the local IMAP
>> > server. I've attached a screenshot of what it looks like when a
>> user logs
>> > in. As you can see not even the email app icon is showing up and it
>> just
>> > sits there. I have manually tested that I can indeed login to the
>> local IMAP
>> > server from the command line. I've also verified in the /setup that
>> the
>> > email application is installed and it is version 16.1.
>> >
>> > The other weird thing is when I login as an administrator and I go
>> under
>> > Applications --> Mail --> Site configuration again the email icon
>> is not
>> > showing up and I don't have an option to add or edit the
>> configuration.
>> > Please see additional screenshot
>> >
>> > I would appreciate some help on this
>> Hard to tell what your problem is.
>>
>> It is definitly not a general 16.1 problem.
>>
>> Something in your enviroment, I guess ...
>>
>> First thing I would look at is, making sure all caches incl. browser are
>> cleared.
>>
>> You wrote nothing about how you installed and/or upgraded.
>> Our recomendations to do a Linux package installation. There are many
>> ways to screw up an installation with archives, eg. copy new archive
>> over the existing installation (leaving old files in place).
>>
>> Ralf
>>
>> --
>> Ralf Becker
>> EGroupware GmbH [www.egroupware.org]
>> Handelsregister HRB Kaiserslautern 3587
>> Geschäftsführer Birgit und Ralf Becker
>> Leibnizstr. 17, 67663 Kaiserslautern, Germany
>> Telefon +49 631 31657-0
>>
>>
>>
>> ------------------------------------------------------------------------------
>>
>> Check out the vibrant tech community on one of the world's most
>> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>> _______________________________________________
>> eGroupWare-users mailing list
>> [hidden email] </user/SendEmail.jtp?type=node&node=4015187&i=0>
>> https://lists.sourceforge.net/lists/listinfo/egroupware-users
>>
>> *signature.asc* (817 bytes) Download Attachment
>> <http://egroupware.219119.n3.nabble.com/attachment/4015187/0/signature.asc>
>>
>>
>> ------------------------------------------------------------------------
>> If you reply to this email, your message will be added to the
>> discussion below:
>> http://egroupware.219119.n3.nabble.com/Egroupware-16-1-005-upgraded-from-egroupware-1-8-xxxx-tp4015181p4015187.html
>>
>> To start a new topic under egroupware-users, email [hidden email]
>> </user/SendEmail.jtp?type=node&node=4015189&i=0>
>> To unsubscribe from Egroupware 16.1.005 upgraded from egroupware
>> 1.8.xxxx, click here.
>> NAML
>> <http://egroupware.219119.n3.nabble.com/template/NamlServlet.jtp?macro=macro_viewer&id=instant_html%21nabble%3Aemail.naml&base=nabble.naml.namespaces.BasicNamespace-nabble.view.web.template.NabbleNamespace-nabble.view.web.template.NodeNamespace&breadcrumbs=notify_subscribers%21nabble%3Aemail.naml-instant_emails%21nabble%3Aemail.naml-send_instant_email%21nabble%3Aemail.naml>
>>
>
>
> ------------------------------------------------------------------------
> View this message in context: Re: Email application error Egroupware
> 16.1.005 upgraded from egroupware 1.8.xxxx
> <http://egroupware.219119.n3.nabble.com/Egroupware-16-1-005-upgraded-from-egroupware-1-8-xxxx-tp4015181p4015189.html>
> Sent from the egroupware-users mailing list archive
> <http://egroupware.219119.n3.nabble.com/egroupware-users-f244990.html>
> at Nabble.com.
>
>
> ------------------------------------------------------------------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, SlashDot.org! http://sdm.link/slashdot
>
>
> _______________________________________________
> eGroupWare-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/egroupware-users

--
Ralf Becker
EGroupware GmbH [www.egroupware.org]
Handelsregister HRB Kaiserslautern 3587
Geschäftsführer Birgit und Ralf Becker
Leibnizstr. 17, 67663 Kaiserslautern, Germany
Telefon +49 631 31657-0



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
eGroupWare-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/egroupware-users

signature.asc (817 bytes) Download Attachment
Alex Slepyshev Alex Slepyshev
Reply | Threaded
Open this post in threaded view
|

Re: Email application error Egroupware 16.1.005 upgraded from egroupware 1.8.xxxx

In reply to this post by deeztek
I take this problem and other problem on upgrade.

I solved it - change pgsql version 9.x , php last version, and manual drop etemplates from database.
Then rm -f /tmp/egroupware . On some changes - clear cache and register hooks not working. And result dance - clear browser cache.
deeztek deeztek
Reply | Threaded
Open this post in threaded view
|

Re: Email application error Egroupware 16.1.005 upgraded from egroupware 1.8.xxxx

Can you clarify a bit more?  I am assuming pgsql is for postures sql. I am using mysql.  



------ Original message------
From: Alex Slepyshev [via EGroupware]
Date: Wed, Mar 1, 2017 4:39 PM
To: Deeztek Support;
Cc:
Subject:Re: Email application error Egroupware 16.1.005 upgraded from egroupware 1.8.xxxx

I take this problem and other problem on upgrade.

I solved it - change pgsql version 9.x , php last version, and manual drop etemplates from database.
Then rm -f /tmp/egroupware . On some changes - clear cache and register hooks not working. And result dance - clear browser cache.


If you reply to this email, your message will be added to the discussion below:
http://egroupware.219119.n3.nabble.com/Egroupware-16-1-005-upgraded-from-egroupware-1-8-xxxx-tp4015181p4015191.html
To start a new topic under egroupware-users, email ml-node+[hidden email]
To unsubscribe from Egroupware 16.1.005 upgraded from egroupware 1.8.xxxx, click here.
NAML
deeztek deeztek
Reply | Threaded
Open this post in threaded view
|

Re: Email application error Egroupware 16.1.005 upgraded from egroupware 1.8.xxxx

In reply to this post by Ralf Becker-5
Are you sure all your egroupware-epl* packages are upgraded to
16.1.20170203, the url of the config looks like 14.1 (admin.uiconfig.index).

I would also make sure no old egroupware packages are installed. They
wont work with 16.1 and might give all sorts of errors.

Ralf

How can I tell? When I go to setup /config admin I get the following (screenshot attached) which all indicates it's ok. and I have no option to upgrade any of the applications.




I also did:

apt-get autoremove egroupware

to remove the old egroupware files.


Alex Slepyshev Alex Slepyshev
Reply | Threaded
Open this post in threaded view
|

Re: Email application error Egroupware 16.1.005 upgraded from egroupware 1.8.xxxx

In reply to this post by deeztek
I'm too upgrade 1.8 to 16 ...
Mysql equal pgsql in egroupware.
I found for priority in etamplates . Etemplates from database have priority on etemplates from files. When i drop etemplates from database (old templates versions) , delete php cache from /tmp and then clear browser cache.

I mix modules from all old version with last version and use it. I return import tables in module etemplates. And many other functions trancated in last versions.